Debian Bug report logs - #470869
initramfs-tools: default compression level should be 6 rather than 9

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Tollef Fog Heen <tfheen@err.no>

Date: Fri, 14 Mar 2008 08:00:01 UTC

Severity: normal

Fixed in version initramfs-tools/0.92

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#470869; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: submit@bugs.debian.org
Subject: initramfs-tools: default compression level should be 6 rather than 9
Date: Fri, 14 Mar 2008 08:58:31 +0100
Package: initramfs-tools

Hi,

I think the default gzip compression level should be changed from 9 to
6.  In my measurements (which are done on an Ubuntu system, but I
doubt there's any significant differences in this case), the size
difference between -6 and -9 is about 1%, while the time needed to
compress the initramfs goes from around 15.5s to around 2.5s.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#470869; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 470869@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Tollef Fog Heen <tfheen@err.no>, 470869@bugs.debian.org
Subject: Re: Bug#470869: initramfs-tools: default compression level should be 6 rather than 9
Date: Mon, 31 Mar 2008 22:17:37 +0200
tags 470869 pending
stop

On Fri, 14 Mar 2008, Tollef Fog Heen wrote:

> I think the default gzip compression level should be changed from 9 to
> 6.  In my measurements (which are done on an Ubuntu system, but I
> doubt there's any significant differences in this case), the size
> difference between -6 and -9 is about 1%, while the time needed to
> compress the initramfs goes from around 15.5s to around 2.5s.

thanks for bringing the numbers already changed in git,
discovered your ubuntu change some time ago.
will be fixed by next upload.




Tags added: pending Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Mon, 31 Mar 2008 20:21:05 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tollef Fog Heen <tfheen@err.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 470869-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 470869-close@bugs.debian.org
Subject: Bug#470869: fixed in initramfs-tools 0.92
Date: Wed, 09 Apr 2008 09:03:38 +0000
Source: initramfs-tools
Source-Version: 0.92

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.92.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.92.dsc
initramfs-tools_0.92.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.92.tar.gz
initramfs-tools_0.92_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.92_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 09 Apr 2008 10:42:49 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.92
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 447611 463607 465901 467078 467627 468112 468113 470869 474691
Changes: 
 initramfs-tools (0.92) unstable; urgency=low
 .
   Release "Ogni contrada รจ patria del ribelle"
 .
   [ maximilian attems ]
   * init: export ROOTFLAGS + ROOTFSTYPE.
   * debian/control: s/XS-Vcs/Vcs/
   * mkinitramfs: Drop gzip -9 option. (closes: #470869)
     Thanks Tollef Fog Heen <tfheen@err.no>.
   * Ignore lintian warnings about empty directories.
   * framebuffer: Let udev create fb devices.
   * framebuffer: Leave tty devices for udev too.
   * manpages: fix  hyphen-used-as-minus-sign
   * init: fix mkdir usage.
   * init: Set proper permissions of /dev/console mknod fallback.
   * scripts/function: Use mknod directly.
   * debian/control: Depend on latest klibc for mknod usage.
   * scripts/functions: fix configure_networking() for multiple interfaces.
     (closes: #467078) Thanks Michal Sojka <sojkam1@fel.cvut.cz>.
   * ps3 nuke useless hardcoded initramfs script. (closes: #468113)
   * resume: Add support for resume_offset swap file suspend to disk.
     (closes: #474691) Thanks Alan Jenkins <alan-jenkins@tuffmail.co.uk>.
   * update-initramfs: Rename function according to reliability fix.
   * hook-functions: Add atl1, cxgb3, e1000e, igb, ipg, niu, sky2 to
     net section of initramfs modules. (closes: #463607)
   * hook-functions: MODULES=dep fix ps3 support.
   * initramfs-tools.8: Small documentation fixes. (closes: #467627)
 .
   [ debian@x.ray.net ]
   * configure_network(): do nothing if device already configured.
     (closes: #465901)
 .
   [ Joey Hess ]
   * update-initramfs: use dpkg-trigger. (closes: #447611)
 .
   [ Luke Yelavich ]
   * update-initramfs: Initramfs generation reliability fixes.
     (closes: #468112)
 .
   [ Fabio M. Di Nitto ]
   *  hook-functions: Add support for sunvnet and sunvdc.
Files: 
 331235c0dd9e0dfbc2ef8b4065a2c9a9 780 utils optional initramfs-tools_0.92.dsc
 66617c9ca31288fcadeb88e69af2c23d 65089 utils optional initramfs-tools_0.92.tar.gz
 e42742da43870f0544feacbbcd7bb832 71950 utils optional initramfs-tools_0.92_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH/IIJeW7Lc5tEHqgRAkScAKDA9LT52pky3AVKva6wmfSJaX4pNQCgiIEe
gsS10Xjq+XjPSHR+FXjbfy8=
=00G2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 May 2008 07:46:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:49:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.